%define	name	airsnort
%define	version	0.2.2a
%define	release	2mdk

Summary:	A wireless LAN tool which cracks encryption keys
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
URL:		http://airsnort.shmoo.com/
Source:		%{name}-%{version}.tar.bz2
BuildRequires:	gtk+-devel
BuildRequires:	libpcap-devel >= 0.7.1-4mdk
Requires:	prism2-utils
Provides:	Airsnort
Obsoletes:	Airsnort
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
AirSnort is a wireless LAN (WLAN) tool which cracks encryption
keys on 802.11b WEP networks. AirSnort operates by passively
monitoring transmissions, computing the encryption key when
enough packets have been gathered.

%prep
%setup -q

%build
./autogen.sh
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Authors ChangeLog INSTALL README README.decrypt TODO
%{_bindir}/*

%changelog
* Thu Oct 09 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2.2a-2mdk
- fixed upgrade from old package(name changed in last release)
- requires prism2-utils
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install

* Wed Sep 10 2003 Stefan van der Eijk <stefan@eijk.nu> 0.2.2a-1mdk
- 0.2.2a
- renamed package /Airsnort/airsnort/
- fixed typo in 0.2.1b-1mdk changelog

* Sun Feb 09 2003 Stefan van der Eijk <stefan@eijk.nu> 0.2.1b-1mdk
- initial cooker contrib
